For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Groups

create

POST
https://api.groundx.ai/api/v1/group
POST
/api/v1/group
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.groups.create(
8 name="Research Documents",
9)
1{
2 "group": {
3 "groupId": 5001,
4 "buckets": [
5 {
6 "bucketId": 101,
7 "created": "2024-05-20T14:22:10.123Z",
8 "fileCount": 25,
9 "fileSize": "12.4GB",
10 "name": "Research Papers 2024",
11 "updated": "2024-06-01T09:15:45.456Z"
12 }
13 ],
14 "created": "2024-05-20T14:22:10.123Z",
15 "fileCount": 25,
16 "fileSize": "12.4GB",
17 "name": "Research Documents",
18 "prompt": "Search within research documents for relevant papers.",
19 "updated": "2024-06-01T09:15:45.456Z"
20 }
21}
create a new group, a group being a collection of buckets which can be searched.
Was this page helpful?
Previous

update

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Request

This endpoint expects an object.
namestringRequired
The name of the group being created.
bucketNamestringOptional
Specify bucketName to automatically create a bucket, by the name specified, and add it to the created group.

Response

Group successfully created
groupobject

Errors

400
Bad Request Error